# $Revision: 1.24 $, $Date: 2008-01-31 12:17:05 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	IRC
%define		_status		beta
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - IRC client class
Summary(pl.UTF-8):	%{_pearname} - klasa klienta IRC
Name:		php-pear-%{_pearname}
Version:	0.0.7
Release:	4
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5989ab3973044b0a330565b275667dc8
URL:		http://pear.php.net/package/Net_IRC/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Experimental IRC Class suitable for both client or bots applications.
Features are:
 - Non-blocking sockets
 - Server messages handled by a callback system
 - Full logging capabilities
 - Full statistic collector
 - API Doc and Usage Manual

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Eksperymentalna klasa IRC pasująca zarówno do aplikacji klienckich,
jak i botów. Zalety:
 - Nie-blokujący socket
 - Wiadomości serwera obsługiwane przez systemowy callback
 - Pełne wsparcie dla logowania
 - Pełne statystyki
 - Udokumentowane API oraz podręcznik

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/{doc/*,examples}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_IRC.spec,v $
Revision 1.24  2008-01-31 12:17:05  glen
- rel 4

Revision 1.23  2007-02-13 08:06:40  glen
- tabs in preamble

Revision 1.22  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.21  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.20  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.19  2005/10/05 20:59:32  glen
- rel 3

Revision 1.18  2005/09/28 23:50:37  glen
- new pear packaging

Revision 1.17  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.16  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.15  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.14  2003/10/07 20:55:41  adamg
- do not use macros in URL

Revision 1.13  2003/08/31 20:49:10  adamg
- more specific URL

Revision 1.12  2003/07/06 18:57:17  adamg
- updated to 0.0.7 (status changed to beta)
- added README to %%doc

Revision 1.11  2003/06/22 17:45:58  adamg
- fixed %%doc, builds

Revision 1.10  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.9  2003/05/28 08:58:44  adamg
- massive attack: added source0-md5

Revision 1.8  2003/05/25 06:25:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/01/08 09:09:28  blues
- added status info

Revision 1.6  2002/10/14 23:48:38  misto
- new rpm-php-requires/provides scripts
- release 3

Revision 1.5  2002/09/15 10:47:15  blues
- fix in macros

Revision 1.4  2002/07/12 23:56:17  blues
- release 3 (rebuild with new rpm)

Revision 1.3  2002/07/12 11:24:17  blues
- removed not neccessary provides

Revision 1.2  2002/07/08 00:44:39  blues
- new one provides

Revision 1.1  2002/07/04 22:54:33  blues
- initial release
